<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumn4InQuotTaxInvoiceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('quot_tax_invoice', function (Blueprint $table) {
            $table->bigInteger('quot_challan_id')->nullable()->unsigned();
            $table->foreign('quot_challan_id')->references('id')->on('quot_challan');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('quot_tax_invoice', function (Blueprint $table) {
            //
        });
    }
}
